Subject: Re: NET: ASSERT_RTNL in __dev_set_promiscuity makes debug warning

From: Jarek Poplawski <[email-masked]>
Date: Tue, 04 Dec 2007 23:26:54 +0100

Joonwoo Park wrote, On 12/04/2007 10:48 AM:

> Hi,
> dev_set_rx_mode calls __dev_set_rx_mode with softirq disabled (by netif_tx_lock_bh)
> therefore __dev_set_promiscuity can be called with softirq disabled.
> It will cause in_interrupt() to return true and ASSERT_RTNL warning.
> Is there a good solution to fix it besides blowing ASSERT_RTNL up?

Fixing ASSERT_RTNL up?!

But, IMHO, blowing ASSERT_RTNL up in a few places shouldn't be much
worse. After all, how long such a debugging code should be kept. It
seems, at least sometimes we should be a bit more confident of how
it's called.

Regards,
Jarek P.